
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于Hadoop的云盘系统客户端技术难点之二 HDFS文件访问控制 / iVAN</title>

    <meta name="description" content="基于Hadoop的云盘系统客户端技术难点之二 HDFS文件访问控制 作者:张子良 版权所有,转载请注明出处 一.概述 Hadoop开源技术框架在实际业务应用中,其早期的安全机制饱受诟病,具体到HDFS应用方面的问题,主要包括以下几个方面: 1.用户到服务器的认证问题 (1)Namenode上没有用户认证:用户只要知道NameNode服务地址和端口信息,就可以访问HDFS,并获取文件namespace信息. (2)Datanode上没有认证机制:Datanode对读入输出并没有认证,导致如果客户端知道Blockid,就可以任意的访问Datanode上的Block数">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于Hadoop的云盘系统客户端技术难点之二 HDFS文件访问控制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>作者：<a href="http://www.cnblogs.com/hadoopdev" rel="external nofollow noreferrer">张子良</a></strong></p>
<p><strong>版权所有，转载请注明出处</strong></p>
<p><strong>一、概述　　</strong></p>
<p>　　Hadoop开源技术框架在实际业务应用中，其早期的安全机制饱受诟病，具体到HDFS应用方面的问题，主要包括以下几个方面：</p>
<p>　　1.用户到服务器的认证问题</p>
<p>　　（1）Namenode上没有用户认证：用户只要知道NameNode服务地址和端口信息，就可以访问HDFS，并获取文件namespace信息。</p>
<p>　　（2）Datanode上没有认证机制：Datanode对读入输出并没有认证，导致如果客户端知道Blockid，就可以任意的访问Datanode上的Block数据。</p>
<p>　　2.服务器到服务器的认证信息</p>
<p>　　（1）Namenode对Datanode没有认证机制：非法用户可以伪装成Datanode，去接收Namenode的文件存储任务。</p>
<p><strong>二、hadoop的Security</strong></p>
<p>　　针对用户到服务器的认证问题，Hadoop在1.0.0版本以后增加了Security认证机制。该机制采用类Unix用户管理机制，文件的创建用户和超级用户拥有对文件的所有权限，包括读和写，其他用户拥有访问权，无写权限。具体来讲就是，连接到hadoop 集群的用户/组信息取决于客户端环境，即客户端主机中`whoami`和`bash –c groups`取到的用户名和组名，没有uid和gid，用户属组列表中只要有一个与集群配置的用户组相同即拥有该组权限。</p>
<p>　　值得注意的是当前Hadoop的三个主要版本分支中并不是都实现了对其的支持，具体实施时需要注意不同版本的区别。</p>
<p><strong>三、hadoop的kebores</strong></p>
<p>　　Hadoop的Kebores认证机制，用来解决服务器到服务器的认证，主要涉及云盘系统后台服务分布式集群安全问题，将另开专题讨论。在此不作讨论。</p>
<p><strong>四、云盘系统客户端文件安全保障</strong></p>
<p>　　云盘系统客户端HDFS文件安全保障主要涉及用户对HDFS文件服务集群的安全访问问题，包括某一个注册用户只能访问属于该用户的空间和某一个用户只能在HDFS空间上访问指定大小的空间两个问题。这里面是涉及一个用户管理和空间管理的问题，在此不作详细介绍。</p>
<p>针对问题一，我们可以通过改造现有HadoopThriftServer或者新增服务机制来解决，即客户端登陆时，返回HDFS上该用户的允许访问路径，用户操作过程中进行访问路径检测，非授权路径自动过滤，不允许访问。</p>
<p>针对问题二，提供用户注册机制，服务端根据用户注册的权属组，调用FSadmin设置用户文件夹的授权大小。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 21:57:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/hadoop/" title="hadoop">hadoop</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%ad%98%e5%82%a8/" title="云存储">云存储</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e7%9b%98%e7%b3%bb%e7%bb%9f/" title="云盘系统">云盘系统</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%ad%98%e5%82%a8%e5%ae%89%e5%85%a8/" title="云存储安全">云存储安全</a>, <a href="https://www.iamivan.net/tag/hdfs%e6%96%87%e4%bb%b6%e5%ae%89%e5%85%a8/" title="HDFS文件安全">HDFS文件安全</a>, <a href="https://www.iamivan.net/tag/hdfs%e8%ae%bf%e9%97%ae%e6%8e%a7%e5%88%b6/" title="HDFS访问控制">HDFS访问控制</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于Hadoop的云盘系统客户端技术难点之二 HDFS文件访问控制的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLB2D5b.html" rel="bookmark">基于Hadoop的云盘系统客户端技术难点之一 上传和下载效率优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:张子良  声明:版权所有,转载请注明出处 一.概述 基于任何平台实现的云盘系统,面临的首要的技术问题就是客户端上传和下载效率优化问题.基于Hadoop实现的云盘系统,受到Hadoop文件读写机制的影响,采用Hadoop提供的API进行HDFS文件系统访问,文件读取时默认是顺序.逐block读取:写入时是顺序写入. 二.读写机制 首先来看文件读取机制:尽管DataNode实现了文件存储空间的水平扩展和多副本机制,但是针对单个具体文件的读取,Hadoop默认的API接口并没有提供多DataNo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqdR3p.html" rel="bookmark">基于Hadoop的云盘系统客户端技术难点之三 小文件存储优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:张子良 版权所有,转载请注明出处. 一.概述 首先明确概念,这里的小文件是指小于HDFS系统Block大小的文件(默认64M),如果使用HDFS存储大量的小文件,将会是一场灾难,这取决于HDFS的实现机制和框架结构,每一个存储在HDFS中的文件.目录和块映射为一个对象存储在NameNode服务器内存中,通常占用150个字节.如果有1千万个文件,就需要消耗大约3G的内存空间.如果是10亿个文件呢,简直不可想象.这里需要特别说明的是,每一个小于Block大小的文件,存储是实际占用的存储空间仍然			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40lwJz.html" rel="bookmark">基于Hadoop的云盘系统客户端技术选型说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				伴随云计算技术的发展,云盘系统不断涌现,百度.360.金山等都推出了各自的云盘产品,而云盘存储的模式也越来越被用户所接受,也有越来越多的公司跃跃欲试,想在云存储领域大展拳脚,有一番作为.但是开源Hadoop平台实现语言Java和操作系统Linux的限制,Windows用户桌面版云盘客户端的开发成为了一道不可逾越的屏障. 传统桌面软件开发最适合的语言是C/C++体系(不排斥非主流VB.Delphi.C#,有兴趣的可自行研究),云盘系统的客户端也是针对最广大的Windows桌面用户设计,最基本的要求			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdE2Y3z.html" rel="bookmark">基于Hadoop开发网络云盘系统客户端界面设计初稿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 本文是&lt;基于Hadoop开发网络云盘系统架构设计方案&gt;的第二篇,针对界面原型原本考虑有两个方案:1.类windows模式,文件夹.文件方式,操作习惯完全按照Windows方式进行,提供右键菜单管理命令.2.浏览列表式,提供常规界面按钮式命令.本文采用的方式是文件清单列表式,至于第一种方式,另列专题进行说明. 一.界面原型 二.设计说明 连接管理:建立连接.断开连接.设置连接参数 文件操作:浏览文件.上传文件.下载文件.删除文件.导入文件(批量).刷新列表 用户管理:查看用户信息.修改用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDW446p.html" rel="bookmark">基于Hadoop开发网络云盘系统架构设计方案第一稿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 云计算技术的发展,各种网络云盘技术如雨后春笋,层出不穷,百度.新浪.网易都推出了自己的云盘系统,本文基于开源框架Hadoop设计实现了一套自己的网络云盘系统,方案为初步设计方案,不断完善中. 一.总体架构 二.方案说明 2.1 系统切分 从用户角度,整个系统划分为ECDisk客户端.ECDisk运营管理平台.HDFS分布式文件存储集群和账户数据应用平台四部分. 2.2 功能需求 文件管理:浏览.文件上传.文件下载.文件删除 用户管理:用户注册.用户登录.用户注销.账户充值.账户查询 三.技			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0xZYM.html" rel="bookmark">ownCloud Client 2&period;2&period;4 发布，私人云盘系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ownCloud Client 2.2.4 发布了. ownCloud是openmediavault内置的私人云盘系统,基于php,有linux/windows/xos 等桌面系统的客户端,也有ios/andriod/winphone等手机系统的客户端.因为功能简单,所以安装使用十分方便. 更新内容: Dolphin Plugin: Use the Application name for the socket path (#5172) SyncEngine: Fix renaming of f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2JV8p.html" rel="bookmark">基于Hadoop的视频监控系统的设计与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Hadoop的视频监控系统的设计与实现 内蒙古大学  梁师师 随着平安中国项目的深入,公众对视频监控的需求越来越强烈.摄像头等视频采集设备的清晰度不断提高,监控器的个数不断增加,对视频处理的需求不断提高,这与传统的网络视频监控系统架构发生矛盾.而日益兴起的云计算为视频监控开辟了一条新的道路,云视频监控系统满足了大数据计算.存储的要求,解决了传统的视频监控系统的缺陷.本文的工作正是在云计算技术基础上搭建大规模高清视频监控系统.本文首先简单介绍视频监控技术的发展过程和目前视频监控技术遇到的瓶颈问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdXQ5Np.html" rel="bookmark">基于Hadoop的云移动信息服务模型研究</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Hadoop的云移动信息服务模型研究 马林山,赵庆峰,肖新国 在分析开源平台Hadoop的相关技术的基础上,提出了基于该平台的移动信息服务模型,并详细介绍了模型的各个构建组成部分.系统的功能设计.经测试,效果良好.实用性较强. 关键词:云计算:Hadoop:HadoopDB:移动阅读:元数据:模型 基于Hadoop的云移动信息服务模型研究			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze9GDNz.html" rel="bookmark">基于Hadoop的云教学资源平台设计与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Hadoop的云教学资源平台设计与实现 北京交通大学 徐东 本文首先对云平台中教学资源的存储结构.融合HBase和MySQL两类数据库优势的混合式数据库系统以及基于J2EE中主流SSH2框架的Web系统进行设计,使用Hadoop的分布式文件系统来存储教学资源,实现了一个实验性的基于Hadoop的云教学资源平台.其次,重新定义了平台资源反馈方式及角色关系,增加平台管理和维护的灵活行.同时,为提升平台及资源共享能力,开发了对外开放的应用接口.最后,进行云教学资源平台与传统资源平台对比的性能测试,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkm45b.html" rel="bookmark" class="title">Emmet&colon;大幅度提高前端开发效率的工具</a>
					<div>
						文章简介:Emmet把片段这个概念提高到了一个新的层次:你可以设置CSS形式的能够动态被解析的表达式,然后根据你所输入的缩写来得到相应的内容.Emmet是很成熟的并且非常适用于编写HTML/XML 和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ51op.html" rel="bookmark" class="title">ASP&period;NET中常用的优化性能方法</a>
					<div>
						asp.net|性能|优化 1. 数据库访问性能优化 数据库的连接和关闭 访问数据库资源需要创建连接.打开连接和关闭连接几个操作.这些过程需要多次与数据库交换信息以通过身份验证,比较耗费服务器资源.A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Oqqb.html" rel="bookmark" class="title">云计算时代的运维与安全</a>
					<div>
						云计算时代给大家带了很多机遇,同时也带来了很多挑战,有人就认为随着云的普及,运维人员将会最终消失.当然,这个论点不免有些偏激,但云时代的确给运维带来了很多不同,也让运维从业人员开始思考很多问题.在近日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NY9mz.html" rel="bookmark" class="title">利用宏给Excel工作簿文档自动添加密码</a>
					<div>
						在Excel中在给工作簿文档添加密码时,需要通过选项一个一个的设置,比较麻烦.下面,我们利用一个自动运行的宏,让软件自动给文档添加密码. 1.启动Excel,执行&quot;工具→宏→Visual B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNERJ4b.html" rel="bookmark" class="title">PhotoShop让美女肤色更加红润教程</a>
					<div>
						接下来.. 1,打开图,先把人物皮磨好, 2,新建可选颜色层,做色彩变换处理,在绝对模式下调节此图, 系列相关教程: Photoshop打造美女白晰红润的肤色 ps修饰人物照片皮肤红润效果 Photo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr30r4p.html" rel="bookmark" class="title">Win8系统提示计算机没有安装Flash播放器该怎么办</a>
					<div>
						  Flash Player是windows操作系统极为重要的播放插件,当我们在播放视频或Flash文件时需要使用到该插件,但是在播放使用中难免会遇到一些棘手问题,最近有用户在win8操作系统浏览器中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj1yAb.html" rel="bookmark" class="title">什么是开始菜单</a>
					<div>
						  一. 认识开始菜单 &quot;开始&quot;菜单是由用户账户区.固定项目列表.最常使用的程序列表.所有程序列表.系统文件夹列表.系统设置项目列表以及帮助.搜索.运行区和关闭.注销区组成,每个部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaN3Zz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;双11&rdquo;将至，企业如何做好网络营销？</a>
					<div>
						一年一度的&quot;双11&quot;抢购节又要到来了,这个时候是有人欢喜有人愁呀,往年的这个时候,卖断货的商家也有,无人问津的商家也不少.那么,企业该如何做好营销,应站今年的&quot;双11&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoPvBb.html" rel="bookmark" class="title">seo见效要多长时间</a>
					<div>
						网站开始做SEO,到什么时候才会见到效果,是每一个客户都非常关心的事情.所以在客户咨询的SEO问题当中,大部分都会问到网站的SEO,要到什么时候才会出现效果. 对于这个问题,基本上当客户问起的时候,思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkZP2b.html" rel="bookmark" class="title">ul-css&sol;padding属性如何禁用</a>
					<div>
						问题描述 css/padding属性如何禁用 问题描述: 为了使ul-li居中对齐,采用text-align:center + display:inline方法 然而网上简单好用的方法拿到实际工作中就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwGq1p.html" rel="bookmark" class="title">将list封装成json返回后，取出来的list结果是undefined</a>
					<div>
						问题描述 将list封装成json返回后,取出来的list结果是undefined 将list封装成json返回后,取出来的list结果是undefined,status和msg传送的结果正常 $(f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7yGoz.html" rel="bookmark" class="title">AXI总线简介</a>
					<div>
						AXI全称Advanced eXtensible Interface,是Xilinx从6系列的FPGA开始引入的一个接口协议,主要描述了主设备和从设备之间的数据传输方式.在ZYNQ中继续使用,版本是A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydKJkb.html" rel="bookmark" class="title">网络空间安全产业白皮书及&OpenCurlyDoubleQuote;龙御&rdquo;系列产品发布</a>
					<div>
						8月19日,第十四届中国国际软件合作洽谈会专业分论坛之一的&quot;网络空间安全创新发展论坛&quot;在成都成功举办.该论坛由中国电子科技网络信息安全有限公司(下文称:中国网安)主办.成都安全可靠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBa1QM.html" rel="bookmark" class="title">蓝桥试题高斯日记 &plus;&plus;-关于蓝桥试题，高斯日记问题</a>
					<div>
						问题描述 关于蓝桥试题,高斯日记问题 先附上我的代码,再说我的思路. #include using namespace std; int main() { int year=1777,month=4, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR0B1b.html" rel="bookmark" class="title">高可用性系统在大众点评的实践与经验</a>
					<div>
						可用性的理解 理解目标 业界高可用的目标是几个9,对于每一个系统,要求是不一样的.研发人员对所设计或者开发的系统,要知道用户规模及使用场景,知道可用性的目标. 比如,5个9的目标对应的是全年故障5分钟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRjOAb.html" rel="bookmark" class="title">MySQL &CenterDot; 捉虫动态 &CenterDot; MySQL 外键异常分析</a>
					<div>
						外键约束异常现象 如下测例中,没有违反引用约束的插入失败. create database `a-b`; use `a-b`; SET FOREIGN_KEY_CHECKS=0; create tab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b222OZb.html" rel="bookmark" class="title">Java核心技术卷I基础知识3&period;9　大数值</a>
					<div>
						3.9 大数值 如果基本的整数和浮点数精度不能够满足需求,那么可以使用java.math包中的两个很有用的类:BigInteger和BigDecimal.这两个类可以处理包含任意长度数字序列的数值.B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60BEoz.html" rel="bookmark" class="title">《高效能程序员的修炼》一大道至简</a>
					<div>
						大道至简 高效能程序员的修炼 作者在Twitter上发的一条短讯: &quot;你永远都有简化的空间.&quot; 11:29 AM – 2012-5-21 Rich Skrenta在&quot;Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZgJlp.html" rel="bookmark" class="title">配置电脑花了冤枉钱非行家最好选购品牌机</a>
					<div>
						晚报讯 &quot;花5000多元买的电脑,结果人家说配置连4000元都不要. &quot;暑假将至,不少父母为子女升级换代电脑等产品,一些家长在数码市场里花了冤枉钱.有 网友发帖&quot;指导&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7lvYz.html" rel="bookmark" class="title">textarea标签输出内容时不能顶格（左对齐）输出</a>
					<div>
						问题描述 我用textarea输出文本内容的时候出现下面的问题:文本内容在action里测试没有问题(文本内容前面没有空格),但是在jsp页面textare标签中输出文本内容时,文本内容前面却出现一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdywN2z.html" rel="bookmark" class="title">照片爆炸：&OpenCurlyDoubleQuote;拍照、处理、分享、存储&rdquo; 这块糕要怎么分？</a>
					<div>
						用户研究组刚刚发布了一份手机拍照调查数据,该项的调查是今年11月进行的,覆盖1万名左右的iphone.android手机拍照人群.http://www.aliyun.com/zixun/aggrega ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZZoVb.html" rel="bookmark" class="title">Js与Jq 获取页面元素值的方法和差异对比&lowbar;jquery</a>
					<div>
						JS与Jquery 都能获取页面元素的宽度,高度和相对位移等数值,那他们之间能相互转换或替代吗,写法又有哪些差异呢?本文将详细为你介绍. 1.Js获取浏览器高度和宽度 document.documen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkNBnz.html" rel="bookmark" class="title">为什么我thinkphp里面这样写就会出问题？</a>
					<div>
						问题描述 为什么我thinkphp里面这样写就会出问题? 解决方案 你的数据库服务开了没? 配置有没有正确?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N8OVb.html" rel="bookmark" class="title">C&num;&colon;如何在picturebox中显示已捕获的视频</a>
					<div>
						问题描述 问题简单描述:现有代码用API实现了先新建一个子窗口,然后在子窗口中实时显示捕获的视频,如何在点击播放buuton后,在同一窗口的picturebox(任何控件都可以)中显示动态视频?(希望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvmj2b.html" rel="bookmark" class="title">Dubbo demo 初体验资料参考及下载（1）</a>
					<div>
						环境:zookeeper,tomcat 工具:eclipse Dubbo官方文档: http://alibaba.github.io/dubbo-doc-static/Home-zh.htm zook ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmRJkp.html" rel="bookmark" class="title">如何炮制苹果假新闻：忽悠，接着忽悠</a>
					<div>
						苹果是最受关注的科技公司之一,网络上总是充斥着它的各种新闻,如&quot;传新http://www.aliyun.com/zixun/aggregation/13260.html&quot;&gt;一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd8mkz.html" rel="bookmark" class="title">Node&period;js之Console用法小结</a>
					<div>
						/** * Created by city--online on 16/3/9. */ //console.time()和console.timeEnd()输出中间代码的执行时间(注意:time和ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqKJgb.html" rel="bookmark" class="title">思杰&lpar;Citrix&rpar;在北京发布2009中国策略</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/13361.html&quot;&gt;Citrix是世界领先的应用服务软件方案提供商,其倡导的&quot;数字化独立& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7R3wp.html" rel="bookmark" class="title">链家公司看房后索要中介费被指霸王条款</a>
					<div>
						看过房就要付中介费? 本报讯 (记者 孙莹) 看房后买房人不得私下与房主交易,不得另寻其他中介来联系同一房源,否则将承担违约责任,支付违约金或中介费--这种条款是否合理,今天上午在西城法院的法庭上展开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOERvb.html" rel="bookmark" class="title">Lotus管理员账号权限被修改怎么恢复权限</a>
					<div>
						问题描述 lotus管理员admin帐户名被修改后失去了管理员的一切功能,后来我在把名字改回来后还是没有办法恢复管理的功能.请问那位专家帮忙解决怎样才能恢复管理员ADMIN这个帐户的权限. 解决方案  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
